%define		anolis_release 1
Name:           deepin-screensaver
Version:        5.0.18
Release:        1.%{anolis_release}%{?dist}
Summary:        Screensaver Tool
License:        GPLv3+
Url:            https://github.com/linuxdeepin/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  qt5-qtdeclarative-devel
BuildRequires:  pkgconfig(xscrnsaver)
BuildRequires:  libXext-devel
BuildRequires:  libX11-devel
BuildRequires:  pkgconfig(dframeworkdbus)
BuildRequires:  qt5-qttools-devel
BuildRequires:  dtkwidget-devel
BuildRequires:	deepin-desktop-server
##BuildRequires:  license-config

Requires:       %{name}-data = %{version}-%{release}

%description
Deepin screensaver viewer and tools.

%package data
Summary:        Screensaver data
Requires:       xscreensaver-extras
Requires:       xscreensaver-gl-extras

%description data
Extra data for Deepin Screensaver.

%prep
%setup -q
sed -i 's|/lib|/libexec|' xscreensaver/xscreensaver.pro common.pri
sed -i 's|/usr/lib|%{_libexecdir}|' tools/preview/main.cpp
sed -i 's|lrelease|lrelease-qt5|' src/generate_translations.sh
sed -i 's|lupdate|lupdate-qt5|' src/generate_translations.sh
sed -i 's|lupdate|lupdate-qt5|' src/update_translations.sh
sed -i 's|lrelease|lrelease-qt5|' customscreensaver/deepin-custom-screensaver/generate_translations.sh
sed -i 's|lupdate|lupdate-qt5|' customscreensaver/deepin-custom-screensaver/update_translations.sh
sed -i 's|lupdate|lupdate-qt5|' customscreensaver/deepin-custom-screensaver/deepin-custom-screensaver.pro


%build
%qmake_qt5 PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc CHANGELOG.md
%{_bindir}/%{name}
%{_datadir}/dbus-1/services/*
%{_datadir}/dbus-1/interfaces/*

%files data
%{_libexecdir}/%{name}
%{_prefix}/lib/deepin-screensaver/modules/
%{_datadir}/deepin-custom-screensaver/translations/
%{_datadir}/deepin-screensaver/translations/
%{_sysconfdir}/deepin-screensaver/

%changelog
* Thu Jan 04 2024 yangxianzhao <yangxianzhao@uniontech.com> - 5.0.18-1.1
- update requires

* Mon Oct 09 2023 liweigang <liweiganga@uniontech.com> - 5.0.18-1
- update: update to version 5.0.18

* Fri Aug 18 2023 liuzhilin <liuzhilin@uniontech.com> - 5.0.16.3-1
- update: update to 5.0.16.3

* Thu Jan 12 2023 liweiganga <liweiganga@uniontech.com> - 5.0.12-1
- update: update to 5.0.12

* Mon Jun 13 2022 uoser <uoser@uniontech.com> - 5.0.9-1.01
- update: update to 5.0.9-1.01
